Post by pen2670 » Fri Apr 27, 2018 12:25 pm

Finally got around to upgrading opencart from I think I was running 2.1.01 but can't seem to get the latest versions to work...

Tried using the upgrade instructions, then tried a clean install on both 3.0.2.0 and the newer beta version with an inital php error, which I fixed, then HTTP 500 server error.

Finally managed to get 2.3.02 to work on a clean install and tried to upgrade from there, still http 500 error.

So tried to install my backup to my now working 2.3.02 and again got the http500 error.

Do I need to start from scratch with 2.3.02 or can anyone help me get my data back ?

Many thanks

Newbie

Posts

Joined
Wed Jul 23, 2014 1:36 am

Post by pen2670 » Fri Apr 27, 2018 9:37 pm

Update: Have managed to clear the 500 error by updating the php again to 5.6 so am now running a clean version of 3.0.2.0, BUT I still can't get my back up file to work. Using the restore function it starts to upload then gives an "Internal Server Error".

Tried updating php again to 7.0...

Any assistance greatly appreciated.

Thanks

Newbie

Posts

Joined
Wed Jul 23, 2014 1:36 am

Post by sw!tch » Sat Apr 28, 2018 4:17 am

Check your PHP settings. If it's a large backup you could be reaching the max_execution_time or upload limit.

Defaults with opencart are:

memory_limit = 64M;
max_execution_time = 36000;
upload_max_filesize = 999M;
mysql.connect_timeout = 20;

New member

Posts

Joined
Sat Apr 28, 2012 2:32 pm

Post by pen2670 » Sat Apr 28, 2018 4:32 pm

Thanks

Newbie

Posts

Joined
Wed Jul 23, 2014 1:36 am
Who is online

Users browsing this forum: No registered users and 5 guests